Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Functions
Stream.h File Reference

Libargus API: Stream API More...

Go to the source code of this file.

## Classes

class | Argus::OutputStream
class | Argus::OutputStreamSettings
class | Argus::IStream
| Interface that exposes common Stream properties. More...
class | Argus::IOutputStreamSettings
| Interface that exposes the settings used for OutputStream creation. More...

## Namespaces

namespace | Argus

## Functions

| Argus::DEFINE_NAMED_UUID_CLASS (StreamMode)
| Argus::DEFINE_UUID (StreamMode, STREAM_MODE_MAILBOX, 33661d40, 3ee2, 11e6, bdf4, 08, 00, 20, 0c, 9a, 66)
| Argus::DEFINE_UUID (StreamMode, STREAM_MODE_FIFO, 33661d41, 3ee2, 11e6, bdf4, 08, 00, 20, 0c, 9a, 66)
| Argus::DEFINE_UUID (InterfaceID, IID_STREAM, 8f50dade, cc26, 4ec6, 9d2e, d9, d0, 19, 2a, ef, 06)
| Argus::DEFINE_UUID (InterfaceID, IID_OUTPUT_STREAM_SETTINGS, 52f2b830, 3d52, 11e6, bdf4, 08, 00, 20, 0c, 9a, 66)

## Detailed Description

Libargus API: Stream API

Description: Defines stream related objects and interfaces.

Definition in file Stream.h.